org.apache.ignite.internal.direct.state

## Class DirectMessageState<T extends DirectMessageStateItem>

- java.lang.Object
- - org.apache.ignite.internal.direct.state.DirectMessageState<T>

    public class DirectMessageState<T extends DirectMessageStateItem>
    extends Object

Message state.

### Constructor Summary

Constructors
Constructor and Description
`DirectMessageState(Class<T> cls, IgniteOutClosure<T> factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `backward(boolean reset)` Go backward.
`void` `forward()` Go forward.
`T` `item()`
`void` `reset()` Resets state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DirectMessageState

    public DirectMessageState(Class<T> cls,
                              IgniteOutClosure<T> factory)

Parameters:
  `cls` - State item type.
  `factory` - Item factory.

### Method Detail

#### item

    public T item()

Returns:
  Current item.

#### forward

    public void forward()

Go forward.

#### backward

    public void backward(boolean reset)

Go backward.

Parameters:
  `reset` - Whether to reset current item.

#### reset

    public void reset()

Resets state.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018